Package org.apache.wiki.tags

# Class IncludeTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
org.apache.wiki.tags.WikiTagBase
org.apache.wiki.tags.IncludeTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

public class IncludeTag extends WikiTagBase
Includes an another JSP page, making sure that we actually pass the WikiContext correctly.

Since:
  2.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`m_page`

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`IncludeTag()`

## Method Summary

Modifier and Type
Method
Description
`final int`
`doEndTag()`
`final int`
`doWikiStartTag()`
This method is allowed to do pretty much whatever he wants.
`String`
`getPage()`
`void`
`initTag()`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void`
`setPage(String page)`

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### m_page

protected String m_page

## Constructor Details

### IncludeTag

public IncludeTag()

## Method Details

### initTag

public void initTag()
Description copied from class: `WikiTagBase`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

### setPage

public void setPage(String page)

### getPage

public String getPage()

### doWikiStartTag

public final int doWikiStartTag() throws IOException, ProviderException
Description copied from class: `WikiTagBase`
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `IOException`
  `ProviderException`

### doEndTag

public final int doEndTag() throws javax.servlet.jsp.JspException

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `WikiTagBase`
Throws:
  `javax.servlet.jsp.JspException`